xprehashprinterlist(1)

NAME
xprehashprinterlist - Recomputes the list of available printers.

SYNOPSIS
xprehashprinterlist
[-v] [-h]

DESCRIPTION
xprehashprinterlist causes all Xprint servers to recompute (update) their lists of available printers, and update the attributes for the printers. The intended usage of this tool is that a system administrator can run it after changing the printer topology.

OPTIONS

-v  generate verbose output

-h | -?
    print usage

ENVIRONMENT

XPSERVERLIST
    ${XPSERVERLIST} must be set, identifying the available Xprint servers. See Xprint(7) for more details.

EXAMPLES
Update the list of available printers

% xprehashprinterlist -v

would print:
Rehashing printer list on server 'meridian:34'

NOTES
xprehashprinterlist rehashes all printer lists of all print servers. Alternatively xset rehashprinterlist may be used to rehash only the list of printers in one print server.

SEE ALSO
Xprint(7), X11(7), xset(1), xplsprinters(1), xphelloworld(1), xpxmhelloworld(1), xpawhelloworld(1), xpxthelloworld(1), xpsimplehelloworld(1), Xserver(1), Xprt(1), libXp(3), libXprintUtils(3), libXprintAppUtils(3), XmPrintShell(3), XawPrintShell(3), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)